import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm';
import { Carrera } from './carrera.entity';

@Entity()
export class Nivel {
  @PrimaryGeneratedColumn()
  id_nivel: number;

  @Column({ type: String, nullable: false, default: false, length: 1 })
  clave: string;

  @Column({ type: String, nullable: false, length: 40 })
  nivel: string;

  @OneToMany(() => Carrera, (carrera) => carrera.nivel)
  carreras: Carrera[];
}
