import { Expose, Type } from 'class-transformer';
import { ModuloMinOutputDto } from '../../../modulo/dto/output/modulo-min.dto';
import { OperadorMinOutputDto } from '../../../operador/dto/output/operador-min.dto';

export class ActividadEspecialOutputDto {
  @Expose()
  id_motivo;

  @Expose()
  fecha_creacion;

  @Expose()
  motivo;

  @Expose()
  numero_alumnos;

  @Expose()
  @Type(() => ModuloMinOutputDto)
  modulo;

  @Expose()
  @Type(() => OperadorMinOutputDto)
  operador;
}
