import { IsNotEmpty, IsOptional, IsString } from 'class-validator';

export class ReporteDto {
  @IsString()
  @IsNotEmpty()
  @IsOptional()
  nombre?: string;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  usuario?: string;
}
